---
- name: Install required system packages
  apt:
    update_cache: yes
    name: "{{ packages }}"
  when: ansible_distribution == 'Debian' or ansible_distribution == 'Ubuntu'

- name: Install useful system packages
  yum:
    update_cache: yes
    name: "{{ packages }}"
  when: ansible_distribution == 'CentOS' or ansible_distribution == 'Red Hat'

- name: Set timezone to Europe/Prague
  timezone:
    name: Europe/Prague
